{"title":"Create items","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_item_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_item_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_item_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates an item object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":69,"chars":199},{"level":2,"title":"Request headers","slug":"request-headers","at":268,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":370,"chars":86},{"level":2,"title":"Response","slug":"response","at":456,"chars":121},{"level":2,"title":"Example","slug":"example","at":577,"chars":1775},{"level":2,"title":"Related information","slug":"related-information","at":2352,"chars":185}],"text":"Create an item in Business Central for use on invoices, quotes, etc.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/items\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of an items object.\n## Response\nIf successful, this method returns ```201 Created``` response code and an items object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/items\nContent-type: application/json\n\n{\n    \"number\": \"1896-S\",\n    \"displayName\": \"ATHENS Desk\",\n    \"type\": \"Inventory\",\n    \"itemCategoryId\": \"e21a6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"itemCategoryCode\": \"TABLE\",\n    \"blocked\": false,\n    \"gtin\": \"\",\n    \"unitPrice\": 1000.8,\n    \"priceIncludesTax\": false,\n    \"unitCost\": 780.7,\n    \"taxGroupId\": \"9f196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"taxGroupCode\": \"FURNITURE\",\n    \"baseUnitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"baseUnitOfMeasureCode\": \"PCS\"\n\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"id\": \"fca5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\": \"1896-S\",\n    \"displayName\": \"ATHENS Desk\",\n    \"displayName2\": \"\",\n    \"type\": \"Inventory\",\n    \"itemCategoryId\": \"e21a6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"itemCategoryCode\": \"TABLE\",\n    \"blocked\": false,\n    \"gtin\": \"\",\n    \"inventory\": 0,\n    \"unitPrice\": 1000.8,\n    \"priceIncludesTax\": false,\n    \"unitCost\": 780.7,\n    \"taxGroupId\": \"9f196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"taxGroupCode\": \"FURNITURE\",\n    \"baseUnitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"baseUnitOfMeasureCode\": \"PCS\",\n    \"generalProductPostingGroupId\": \"019b8ec1-d83d-ee11-be71-6045bde9cbf2\",\n    \"generalProductPostingGroupCode\": \"RETAIL\",\n    \"inventoryPostingGroupId\": \"039e8ec1-d83d-ee11-be71-6045bde9cbf2\",\n    \"inventoryPostingGroupCode\": \"RESALE\",\n    \"lastModifiedDateTime\": \"2020-08-21T00:24:19.347Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_item\ndynamics_item_get\ndynamics_item_delete\ndynamics_item_update"}